<?php

namespace Picea\Asset\Extension;

use Picea\Compiler\Context;
use Picea\Extension\Extension;
use Picea\Extension\FunctionExtension;

class ImportmapExtension implements Extension {

    public array $token = [ "importmap:print" ];
   
    public function parse(Context &$context, ?string $arguments, string $token, array $options = []) : string
    {
        $cls = static::class;

        $rendered = json_encode([
            'output !'
        ]);

        return "<?php echo '<script type=\"importmap\">$rendered</script>' ?>";
    }
}
